<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.messaging-activemq.jms-bridge.source-credential-reference">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="store,alias,type,clear-text"/>
        <elem name="complex-attribute" value="source-credential-reference"/>
        <elem name="addr-params" value="profile,subsystem,jms-bridge"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <refs>
        <ref feature="subsystem.messaging-activemq.jms-bridge"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="jms-bridge" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="alias" nillable="true"/>
        <param name="store" nillable="true"/>
        <param name="type" nillable="true"/>
        <param name="clear-text" nillable="true"/>
    </params>
</feature-spec>